Bug 1248650 - ipsilon: lacks essential dependencies
ipsilon: lacks essential dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipsilon (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1226947
  Show dependency treegraph
 
Reported: 2015-07-30 10:11 EDT by Florian Weimer
Modified: 2015-11-08 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version: ipsilon-1.1.1-2.fc23 ipsilon-1.1.1-2.fc22 ipsilon-1.1.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 01:53:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-07-30 10:11:20 EDT
With ipsilon-tools-0.4.0-1.fc22 installed (along with its dependencies), I get this:

<mock-chroot>sh-4.3# ipsilon-server-install 
Traceback (most recent call last):
  File "/usr/sbin/ipsilon-server-install", line 20, in <module>
    from ipsilon.login.common import LoginMgrsInstall
ImportError: No module named ipsilon.login.common
<mock-chroot>sh-4.3# ipsilon-client-install 
Traceback (most recent call last):
  File "/usr/bin/ipsilon-client-install", line 20, in <module>
    from ipsilon.tools.saml2metadata import Metadata
ImportError: No module named ipsilon.tools.saml2metadata
Comment 1 Florian Weimer 2015-07-30 10:29:39 EDT
With ipsilon-client-1.0.0-3.fc23, I get:

<mock-chroot>sh-4.3# ipsilon-client-install 
Traceback (most recent call last):
  File "/usr/bin/ipsilon-client-install", line 18, in <module>
    import requests
ImportError: No module named requests
Comment 2 Fedora Update System 2015-09-07 21:37:03 EDT
ipsilon-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 3 Fedora Update System 2015-09-07 21:37:05 EDT
ipsilon-1.1.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 4 Fedora Update System 2015-09-07 21:37:13 EDT
ipsilon-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 5 Fedora Update System 2015-09-08 13:51:38 EDT
ipsilon-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 6 Fedora Update System 2015-09-08 17:22:03 EDT
ipsilon-1.1.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 7 Fedora Update System 2015-09-08 17:25:59 EDT
ipsilon-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 8 Fedora Update System 2015-10-14 12:10:20 EDT
ipsilon-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 9 Fedora Update System 2015-10-14 12:11:41 EDT
ipsilon-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 10 Fedora Update System 2015-10-14 12:12:24 EDT
ipsilon-1.1.1-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 11 Fedora Update System 2015-10-14 18:53:39 EDT
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 12 Fedora Update System 2015-10-15 01:21:25 EDT
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 13 Fedora Update System 2015-10-15 01:52:31 EDT
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 14 Fedora Update System 2015-11-08 01:52:51 EST
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-08 04:50:08 EST
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-08 05:19:56 EST
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.